This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 875184 - [RFE] give some sort of link to the Systems view from the Subscriptions widget in the dashboard.
[RFE] give some sort of link to the Systems view from the Subscriptions widge...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI (Show other bugs)
6.0.0
Unspecified Unspecified
low Severity low (vote)
: Unspecified
: --
Assigned To: Bryan Kearney
sthirugn@redhat.com
: FutureFeature, Triaged
Depends On:
Blocks: sam20-tracker
  Show dependency treegraph
 
Reported: 2012-11-09 12:59 EST by Corey Welton
Modified: 2014-09-11 08:21 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-09-11 08:21:33 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Corey Welton 2012-11-09 12:59:15 EST
Description of problem:
The System Subscriptions widget in the dashboard has a piechart and relevant information... but I think it would be nice polish to provide some sort of link the the actual system page.  

For example, if a user logs on and sees he has 4 system registered and the pie chart shows 3 in compliance and one out of compliance, he might want to first go check out the system(s) in question.  While, yes, he can go through the systems menu, it might be easy to provide an unobtrusive way to do this through the dashboard widget.

Besides, it seems every other widget has some sort of interaction available.  This one just sort of "exists".

My suggestion would be to make the "Total Systems" text, or the count for Total Systems, a direct link to the Systems tab.

CloudForms System Engine Version: 1.1.12-22.el6cf
Comment 1 Michaux Kelley 2013-10-02 15:35:14 EDT
Fixed in a660721f6edcbb81c0ae2711df015ff9a851f822
Comment 4 sthirugn@redhat.com 2014-09-03 14:19:06 EDT
Verified.  Now there are links for Invalid Subscriptions, Insufficient Subscriptions, Current Subscriptions, Total Content Hosts.  But please note that this will not work 100% until https://bugzilla.redhat.com/show_bug.cgi?id=773095 is fixed.

Version Tested:
GA Snap 7 - Satellite-6.0.4-RHEL-6-20140829.0

* apr-util-ldap-1.3.9-3.el6_0.1.x86_64
* candlepin-0.9.23-1.el6_5.noarch
* candlepin-common-1.0.1-1.el6_5.noarch
* candlepin-scl-1-5.el6_4.noarch
* candlepin-scl-quartz-2.1.5-5.el6_4.noarch
* candlepin-scl-rhino-1.7R3-1.el6_4.noarch
* candlepin-scl-runtime-1-5.el6_4.noarch
* candlepin-selinux-0.9.23-1.el6_5.noarch
* candlepin-tomcat6-0.9.23-1.el6_5.noarch
* elasticsearch-0.90.10-6.el6sat.noarch
* foreman-1.6.0.42-1.el6sat.noarch
* foreman-compute-1.6.0.42-1.el6sat.noarch
* foreman-gce-1.6.0.42-1.el6sat.noarch
* foreman-libvirt-1.6.0.42-1.el6sat.noarch
* foreman-ovirt-1.6.0.42-1.el6sat.noarch
* foreman-postgresql-1.6.0.42-1.el6sat.noarch
* foreman-proxy-1.6.0.30-1.el6sat.noarch
* foreman-selinux-1.6.0.14-1.el6sat.noarch
* foreman-vmware-1.6.0.42-1.el6sat.noarch
* katello-1.5.0-30.el6sat.noarch
* katello-ca-1.0-1.noarch
* katello-certs-tools-1.5.6-1.el6sat.noarch
* katello-installer-0.0.62-1.el6sat.noarch
* openldap-2.4.23-34.el6_5.1.x86_64
* openldap-devel-2.4.23-34.el6_5.1.x86_64
* pulp-katello-0.3-4.el6sat.noarch
* pulp-nodes-common-2.4.1-0.5.rc1.el6sat.noarch
* pulp-nodes-parent-2.4.1-0.5.rc1.el6sat.noarch
* pulp-puppet-plugins-2.4.1-0.5.rc1.el6sat.noarch
* pulp-puppet-tools-2.4.1-0.5.rc1.el6sat.noarch
* pulp-rpm-plugins-2.4.1-0.5.rc1.el6sat.noarch
* pulp-selinux-2.4.1-0.5.rc1.el6sat.noarch
* pulp-server-2.4.1-0.5.rc1.el6sat.noarch
* python-ldap-2.3.10-1.el6.x86_64
* ruby193-rubygem-net-ldap-0.3.1-3.el6sat.noarch
* ruby193-rubygem-runcible-1.1.0-2.el6sat.noarch
Comment 5 Bryan Kearney 2014-09-11 08:21:33 EDT
This was delivered with Satellite 6.0 which was released on 10 September 2014.

Note You need to log in before you can comment on or make changes to this bug.